Skip to main content
`Ctrl`+`K`

# TSAdjointMonitorDrawSensi

Monitors progress of the adjoint `TS` solvers by calling `VecView()` for the sensitivities to initial states at each timestep

## Synopsis

    #include <petscts.h>
    PetscErrorCode TSAdjointMonitorDrawSensi(TS ts, PetscInt step, PetscReal ptime, Vec u, PetscInt numcost, Vec lambda[], Vec mu[], void *dummy)

Collective

## Input Parameters

- ts - the `TS` context

- step - current time-step

- ptime - current time

- u - current state

- numcost - number of cost functions

- lambda - sensitivities to initial conditions

- mu - sensitivities to parameters

- dummy - either a viewer or `NULL`

## See Also

TS: Scalable ODE and DAE Solvers, `TSAdjointSolve()`, `TSAdjointMonitorSet()`, `TSAdjointMonitorDefault()`, `VecView()`

## Level

intermediate

## Location

src/ts/interface/sensitivity/tssen.c

Index of all Sensitivity routines
Table of Contents for all manual pages
Index of all manual pages